<!DOCTYPE html>
  <head>
    <title>TP Stockage Objet</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi"
 crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3" crossorigi
n="anonymous"></script>

  </head>
  <body>
    <div class="container">
      <div class="row justify-content-center">
        <div class='col-lg-3' style='background-color:red;'>
          Filter les images
          <form method="post">
            <div class="form-check">
              <input class="form-check-input" type="radio" name="radioFilter" value="landscape">
              <label class="form-check-label">
                Paysage
              </label>
            </div>
            <div class="form-check">
              <input class="form-check-input" type="radio" name="radioFilter" value="culture">
              <label class="form-check-label">
                Culture
              </label>
            </div>
            <div class="form-check">
              <input class="form-check-input" type="radio" name="radioFilter" value="other">
              <label class="form-check-label">
                Autre
              </label>
            </div>
            <button type="submit" name="filter" class="btn btn-dark">Filtrer</button>
              <button class="btn btn-success" onClick="location.href=window.location.href">
                Rafraîchir la page
              </button>
          </form>
        </div>
        <div class="col-lg-7 pb-3 text-light" style='background-color:blue'>
          <h2>Le réseau social LIFASR2 en stockage objet</h2>
          <form method="post" enctype="multipart/form-data">
            <div class="mb-3">
              <label class="form-label">Auteur</label>
              <input class="form-control" required type="input" name="author" value="<?= $_SESSION['author']?>">
            </div>
            <div class="mb-3">
              <label class="form-label">Image à upload</label>
              <input class="form-control" type="file" name="fileToUpload" id="fileToUpload" required>
            </div>
            <div class="form-check-inline">
              <input class="form-check-input" type="radio" name="radioMeta" value="landscape" required>
              <label class="form-check-label">
                Paysage
              </label>
            </div>
            <div class="form-check-inline">
              <input class="form-check-input" type="radio" name="radioMeta" value="culture">
              <label class="form-check-label">
                Culture
              </label>
            </div>
            <div class="form-check-inline">
              <input class="form-check-input" type="radio" name="radioMeta" value="other">
              <label class="form-check-label">
                Autre
              </label>
            </div>
            <div class="mt-3">
              <button type="submit" name="submit" class="btn btn-light">Poster</button>
            </div>
          </form>
        </div>
      </div>
      <br>
      <div class="row justify-content-center">
        <div class="col-lg-7 offset-lg-3" style='background-color:orange'>
        <?php
           foreach($images as $image){
	     echo " <div class='offset-lg-2 col-lg-7 mb-3'>
                Posté par: <b>${image['author']}</b> le ${image['date']}<br>
                Type: <b>${image['type']}</b><br>
                <img src='${image['url']}'
		              style='max-height: 300px; max-width: 300px;'
                  class='img-responsive img-rounded mb-3'/><br>
                </div><br>";
           }
        ?>
	      </div>
      </div>
    </div>
  </body>
</html>
